Skip to navigation

Groups Members Set Access Type

View as Markdown

Sets a member’s access type in a group.

Permission : Team member management.

Required scope: groups.write

Endpoint format: RPC

Authentication: Team

Authentication

AuthorizationBearer

Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use Authorization: Bearer <token>.

Obtain via the authorization code flow with team-scoped permissions.

Grants access to team-wide administrative operations.

You can generate a short-lived access token from the App Console; see Testing with a generated token.

Request

This endpoint expects an object.
access_typeobjectRequired
New group access type the user will have.
Variant:
team_apiv2.GroupAccessType.memberobjectRequired
User is a member of the group, but has no special permissions.
groupobjectRequired
Specify a group.
Variant:
team_apiv2.GroupSelector.group_idobjectRequired
Group ID.
userobjectRequired

Identity of a user that is a member of group.

Variant:
team.UserSelectorArg.team_member_idobjectRequired
return_membersbooleanOptionalDefaults to true
Whether to return the list of members in the group. Note that the default value will cause all the group members to be returned in the response. This may take a long time for large groups.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
Variant:
team_apiv2.GroupsGetInfoItem.id_not_foundobject

An ID that was provided as a parameter to groups/get_info, and did not match a corresponding group. The ID can be a group ID, or an external ID, depending on how the method was called.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error